/*
 A stripped down version of gcrt1.S for use with bootloader code.
 CFLAGS needs to contain "-nostartfiles -nodefaultlibs"

 WARNING: data will not be initialized !!!

 Version 0.01  - 18 August 2005  Werner B.
*/

#if (__GNUC__ < 3) || (__GNUC__ == 3 && __GNUC_MINOR__ < 3)
#error "GCC version >= 3.3 required"
#endif

#include "macros.inc"

	.section .vectors,"ax",@progbits
	.global	__vectors
	.func	__vectors
__vectors:
	clr	__zero_reg__
	out	_SFR_IO_ADDR(SREG), __zero_reg__
	XJMP   main
	.endfunc

    /* The stack is initialized at the beginning of main() */
   	.weak	__stack
	.set	__stack, RAMEND

